cdac.medinfo.sdk.hl7282.hl7net.commons

## Interface IHL7Batch

- All Known Implementing Classes:
    HL7Batch

      public interface IHL7Batch

  The IHL7Batch interface should be implemented by HL7 Batch class.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getBatchControlID()` Gets the BatchControlID.
    `BHS` | `getBatchHeader()` Gets the batch header.
    `BTS` | `getBatchTrailer()` Gets the batch trailer.
    `ISingleCollection<Message>` | `getMessageCollection()` Gets the message collection.
    `java.lang.String` | `getQueryIdentifier()` Gets the QueryIdentifier.
    `QPD` | `getQueryParameterDefinitionSegment()` Gets QueryParameterDefinitionSegment
    `RCP` | `getResponseControlParameterSegment()` Gets ResponseControlParameterSegment
    `boolean` | `isDeferred()` Checks the Response Batch for Deferred.
    `boolean` | `isResponseBatch()` Checks if is response batch.
    `void` | `setBatchHeader(BHS objBatchHeader)` Sets the batch header.
    `void` | `setBatchTrailer(BTS objBatchTrailer)` Sets the batch trailer.
    `void` | `setMessageCollection(ISingleCollection<Message> objMessageCollection)` Sets the message collection.
    `void` | `setQuerySegments(QPD objQPD, RCP objRCP)` Sets query segments required to form Enhanced mode Query Batch.
    `boolean` | `validate()` Validates HL7 Batch objects.

- - ### Method Detail

    - #### setMessageCollection

          void setMessageCollection(ISingleCollection<Message> objMessageCollection)

      Sets the message collection.
      Parameters:
        `objMessageCollection` - the new message collection

    - #### getMessageCollection

          ISingleCollection<Message> getMessageCollection()

      Gets the message collection.
      Returns:
        the message collection

    - #### getBatchControlID

          java.lang.String getBatchControlID()

      Gets the BatchControlID.
      Returns:
        the BatchControlID.

    - #### setQuerySegments

          void setQuerySegments(QPD objQPD,
                              RCP objRCP)

      Sets query segments required to form Enhanced mode Query Batch.
      Parameters:
        `objQPD` - Specified Query Parameter definition Segment.
        `objRCP` - Specified Response control parameter segment.

    - #### getQueryIdentifier

          java.lang.String getQueryIdentifier()

      Gets the QueryIdentifier.
      Returns:
        the QueryIdentifier.

    - #### isDeferred

          boolean isDeferred()

      Checks the Response Batch for Deferred.
      Returns:
        true - if Deferred.

    - #### getBatchHeader

          BHS getBatchHeader()

      Gets the batch header.
      Returns:
        the batch header

    - #### setBatchHeader

          void setBatchHeader(BHS objBatchHeader)

      Sets the batch header.
      Parameters:
        `objBatchHeader` - the new batch header

    - #### getBatchTrailer

          BTS getBatchTrailer()

      Gets the batch trailer.
      Returns:
        the batch trailer

    - #### setBatchTrailer

          void setBatchTrailer(BTS objBatchTrailer)

      Sets the batch trailer.
      Parameters:
        `objBatchTrailer` - the new batch trailer

    - #### isResponseBatch

          boolean isResponseBatch()

      Checks if is response batch.
      Returns:
        true - if is response batch false - otherwise

    - #### validate

          boolean validate()
                           throws BatchException

      Validates HL7 Batch objects.
      Returns:
        true - if successful false - otherwise
      Throws:
        `BatchException` - Thrown when Batch validation fails.

    - #### getQueryParameterDefinitionSegment

          QPD getQueryParameterDefinitionSegment()

      Gets QueryParameterDefinitionSegment
      Returns:

    - #### getResponseControlParameterSegment

          RCP getResponseControlParameterSegment()

      Gets ResponseControlParameterSegment
      Returns: